mGBA 0.9.2 Released

admin

Administrator
Staff member
A new release of mGBA, version 0.9.2 is available. This version is a bugfix release, which contains many important fixes. Importantly, random freezing with the OpenGL display driver, especially when using fast forward, is fixed. An extensive list of changes follows after the cut.

Emulation fixes:
  • GB Video: Clear VRAM on reset (fixes #2152)
  • GBA SIO: Add missing NORMAL8 implementation bits (fixes #2172)
  • GBA SIO: Fix missing interrupt on an unattached NORMAL transfer
  • GBA Memory: Fix prefetch mask when swapping modes within a region
  • GBA Serialize: Fix loading audio enable bit late (fixes #2230)
  • GBA Video: Revert scanline latching changes (fixes #2153, #2149)
Other fixes:
  • 3DS: Fix disabling “wide” mode on 2DS (fixes #2167)
  • ARM Debugger: Fix disassembly alignment (fixes #2204)
  • Core: Fix memory leak in opening games from the library
  • Core: Fix memory searches for relative values (fixes #2135)
  • Core: Fix portable mode on macOS
  • GB Audio: Fix audio channel 4 being slow to deserialize
  • GB Core: Fix GBC colors setting breaking default model overrides (fixes #2161)
  • mGUI: Cache save state screenshot validity in state menu (fixes #2005)
  • Qt: Fix infrequent deadlock when using sync to video
  • Qt: Fix applying savetype-only overrides
  • Qt: Fix crash in sprite view for partially out-of-bounds sprites (fixes #2165)
  • Qt: Fix having to press controller buttons twice for menu items (fixes #2143)
  • Qt: Redo sensor binding to be less fragile
  • Qt: Reuse timer when rescheduling missing frames (fixes #2236)
  • Qt: Fix bounded fast forward with enhancement OpenGL renderer
  • Util: Fix loading UPS patches that affect the last byte of the file
Misc:
  • Util: Improve speed of UPS patch loading

Get it now in the Downloads section. Binaries are available for Windows, Ubuntu, macOS, 3DS, Switch, Vita, and Wii, and the source code is available for all other platforms. Please note that this will be the last official release that supports Ubuntu 16.04 (xenial) and Ubuntu 20.10 (groovy).
 
Top